\documentclass[tikz]{standalone}
\usepackage{fontspec}

\newfontfamily\fontL{MyriadPro-Light}
\newfontfamily\fontB{MyriadPro-Semibold}

\tikzset{
  pics/carc/.style args={#1:#2:#3}{
    code={
      \draw[pic actions] (#1:#3) arc(#1:#2:#3);
    }
  }
}

% colour
\definecolor{base}{rgb}{0.16,0.24,0.38} % a variant of prussian blue (lighter)

\begin{document}
\begin{tikzpicture}
  % clipping
  \clip(-5,-5) rectangle (16,5);
  % background rectangle
  % \draw[fill=white,draw=none] (-5,-5) rectangle (16,5);
  % \draw[fill=none,draw=black!25] (-5,-5) grid (16,5);
  % centre
  \coordinate (O) at (0,0);
  % logo
  % -- circle and rings
  \draw[fill=base!85, draw=none] (O) circle (1.5);
  \begin{scope}[line width=8mm, line cap=round, draw=base!50]
    \draw[draw=base!85, fill=none] (O) pic{carc= 80:410:2.4};
    \draw[draw=base!85, fill=none] (O) pic{carc=  0:200:3.5};
    \draw[draw=base!85, fill=none] (O) pic{carc=230:335:3.5};
    \draw[draw=base!85, fill=none] (O) pic{carc= 40:120:4.6};
    \draw[draw=base!85, fill=none] (O) pic{carc=140:260:4.6};
    \draw[draw=base!85, fill=none] (O) pic{carc=280:385:4.6};
  \end{scope}
  % -- text
  \draw[text=base!75] (5.50,+1.0) node[anchor=west, inner sep=0pt] {\fontsize{65pt}{65pt}\selectfont\fontL DTU};
  \draw[text=base!95] (5.45,-1.2) node[anchor=west, inner sep=0pt] {\fontsize{90pt}{90pt}\selectfont\fontB DRIVEN};
\end{tikzpicture}
\end{document}
